Bug 1382666 (CVE-2016-7994) - CVE-2016-7994 Qemu: virtio-gpu: memory leak in virtio_gpu_resource_create_2d
Summary: CVE-2016-7994 Qemu: virtio-gpu: memory leak in virtio_gpu_resource_create_2d
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-7994
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1382667
Blocks: 1382469
TreeView+ depends on / blocked
 
Reported: 2016-10-07 10:56 UTC by Prasad J Pandit
Modified: 2019-09-29 13:57 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:59:48 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-10-07 10:56:14 UTC
Quick Emulator built with the Virtio GPU Device support is vulnerable to a
memory leakage issue. It could occur while processing virtio GPU command
VIRTIO_GPU_CMD_RESOURCE_CREATE_2D.

A privileged user/process inside guest could use this flaw to exhaust host
memory resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg04129.html

Comment 1 Prasad J Pandit 2016-10-07 10:56:48 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-10-07 10:57:51 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1382667]

Comment 3 Cole Robinson 2017-01-16 18:16:36 UTC
commit cb3a0522b694cc5bb6424497b3f828ccd28fd1dd
Author: Li Qiang <liqiang6-s@360.cn>
Date:   Sun Sep 18 19:07:11 2016 -0700

    virtio-gpu: fix memory leak in virtio_gpu_resource_create_2d


Note You need to log in before you can comment on or make changes to this bug.